### Property

# Soup WebsocketConnection:connection-type

#### Declaration

    property connection-type: Soup.WebsocketConnectionType [ read, write, construct-only ]

#### Description [src]

The type of connection (client/server).

Type: | `SoupWebsocketConnectionType`

Getter method | `soup_websocket_connection_get_connection_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes